import React from 'react';
import {SvgXml} from 'react-native-svg';

const LogoIcon = ({width = 50, height = 50, fill = 'white'}) => {
  const font = 'Nunito-ExtraBold';
  return (
    <SvgXml
      xml={`<svg xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:cc="http://creativecommons.org/ns#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" width="200mm" height="75mm" viewBox="0 0 200 75" version="1.1" id="svg8"> <defs id="defs2" /> <sodipodi:namedview id="base" pagecolor="#ffffff" bordercolor="#666666" borderopacity="1.0" inkscape:pageopacity="0.0" inkscape:pageshadow="2" inkscape:zoom="3.959798" inkscape:cx="185.71108" inkscape:cy="117.42839" inkscape:document-units="mm" inkscape:current-layer="layer1" inkscape:document-rotation="0" showgrid="false" inkscape:window-width="1920" inkscape:window-height="1002" inkscape:window-x="-8" inkscape:window-y="-8" inkscape:window-maximized="1" inkscape:pagecheckerboard="true" /> <metadata id="metadata5"> <rdf:RDF> <cc:Work rdf:about=""> <dc:format>image/svg+xml</dc:format> <dc:type  rdf:resource="http://purl.org/dc/dcmitype/StillImage" /> <dc:title></dc:title> </cc:Work> </rdf:RDF> </metadata> <g inkscape:label="Calque 1" inkscape:groupmode="layer" id="layer1"> <text xml:space="preserve" style="font-style:normal;font-weight:normal;font-size:40.9621px;line-height:1.25;font-family:sans-serif;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1.02405" x="13.5854" y="62.470634" id="text12"><tspan sodipodi:role="line" id="tspan10" x="15.0000" y="62.470634" style="font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-family:${font};-inkscape-font-specification:${font};fill:#ffffff;stroke-width:1.02405">WoloLan</tspan></text> <g id="g28" transform="matrix(2.5541815,0,0,2.5541815,5.460236,-9.5316946)"> <path d="M 0,0 H 24 V 24 H 0 Z" fill="none" id="path14" /> </g> <g transform="matrix(0.00571391,0,0,-0.00571391,23.728401,99.114399)" fill="#000000" stroke="none" id="g993" style="fill:#ffffff"> <path d="m 1705.538,16040.878 c -2.795,-2.795 -71.2687,-9.782 -152.3197,-13.974 -613.47002,-40.526 -1379.25942,-231.973 -2026.26762,-507.266 -725.26388,-308.831 -1435.15598,-774.174 -1941.02418,-1273.055 -114.5888,-113.191 -142.5376,-149.525 -167.6909,-219.396 -83.8458,-223.588 25.1533,-484.906 252.9336,-609.277 82.4485,-44.718 96.4224,-47.512 220.7933,-47.512 120.1788,0 139.7432,4.192 205.4215,40.524 40.5255,22.36 128.5634,90.833 195.6401,153.718 551.9834,508.662 1168.24748,890.16 1866.96088,1152.876 212.4084,79.653 522.6373,173.281 694.5206,211.011 519.84252,113.192 698.71272,131.358 1257.68342,132.755 431.805,0 505.868,-2.795 712.687,-32.14 423.42,-60.09 726.661,-132.756 1124.927,-269.704 715.483,-244.549 1411.4,-659.584 1968.974,-1175.235 191.447,-176.075 262.716,-212.409 420.625,-213.805 99.217,0 122.973,5.589 205.421,46.114 99.218,48.91 197.037,143.935 243.152,236.166 20.962,43.319 26.552,83.845 26.552,213.806 0,201.229 -9.783,222.19 -178.871,388.484 -458.356,449.971 -1109.556,891.557 -1749.577,1186.414 -704.302,324.203 -1468.695,525.432 -2249.855,591.112 -157.91,12.576 -918.11,19.563 -930.686,8.384 z" id="path985" style="fill:#ffffff;stroke-width:2032.12;stroke-miterlimit:4;stroke-dasharray:none" /> <path d="m 1741.871,14242.391 c -1099.77422,-92.23 -2181.38182,-575.74 -2937.389,-1314.977 -155.1146,-150.923 -178.871,-202.628 -178.871,-381.498 0,-124.371 4.1928,-146.729 37.731,-209.614 50.3069,-93.627 149.5245,-194.242 238.9593,-240.357 55.8973,-27.948 99.21758,-37.731 184.46068,-43.32 169.0885,-8.385 236.1648,22.359 415.0351,187.255 171.8837,159.307 415.035799,345.164 598.098099,459.753 313.023701,194.242 735.046101,374.51 1062.044121,454.163 65.6787,15.372 141.14,34.936 167.6912,41.923 26.5509,6.987 139.7424,26.551 251.5367,44.718 289.2668,44.717 768.5838,44.717 1064.8388,0 783.955,-120.179 1485.463,-454.163 2058.408,-980.994 183.062,-167.69 254.331,-202.626 412.24,-202.626 100.615,0 129.961,5.59 197.037,39.128 88.038,41.923 204.024,156.512 248.742,243.152 64.282,127.166 60.089,313.024 -8.384,440.189 -69.872,128.563 -473.728,472.33 -804.918,687.534 -652.597,422.022 -1349.913,673.559 -2126.882,762.995 -176.076,20.961 -697.316,27.948 -880.378,12.576 z" id="path987" style="fill:#ffffff;stroke-width:1.39742" /> </g> </g></svg>`}
      width={width}
      height={height}
    />
  );
};

export default LogoIcon;
